﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.Script.Serialization;
using System.Web.Services;

/// <summary>
/// Summary description for WebServiceCS
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class WebServiceCS : System.Web.Services.WebService
{
    [WebMethod]
    public void GetProductpage(int pageNumber, int pageSize)
    {
        //System.Threading.Thread.Sleep(1000);
        List<Products> details = new List<Products>();
        string cs = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(cs))
        {
            SqlCommand cmd = new SqlCommand("sp_products_page", con);
            cmd.CommandType = System.Data.CommandType.StoredProcedure;

            cmd.Parameters.Add(new SqlParameter()
            {
                ParameterName = "@PageNumber",
                Value = pageNumber
            });

            cmd.Parameters.Add(new SqlParameter()
            {
                ParameterName = "@PageSize",
                Value = pageSize
            });

            cmd.Parameters.Add("@PageCount", SqlDbType.Int, 4).Direction = ParameterDirection.Output;

            using (var sda = new SqlDataAdapter())
            {
                cmd.Connection = con;
                sda.SelectCommand = cmd;
                DataTable TableData = new DataTable();
                TableData.Clear();
                sda.Fill(TableData);
                foreach (DataRow dtrow in TableData.Rows)
                {
                    Products user = new Products();
                    byte[] arrpicture = new byte[0];
                    user.Productid = Convert.ToInt32(dtrow["Id"].ToString());
                    user.Productname = dtrow["Name"].ToString();
                    arrpicture = (byte[])dtrow["Data"];
                    user.Prodimage = Convert.ToBase64String(arrpicture);
                    user.PageCount = Convert.ToInt32(cmd.Parameters["@PageCount"].Value);
                    details.Add(user);
                }
            }

        }

        JavaScriptSerializer js = new JavaScriptSerializer();
        Context.Response.Write(js.Serialize(details));

    }
    public class Products
    {
        public int Productid;
        public string Prodimage;
        public string Productname;
        public int PageCount;
    }
}
