﻿Imports System.Web
Imports System.Configuration
Imports System.Data
Imports System.Data.SqlClient
Imports System.Web.Script.Serialization
Imports System.Web.Services

' To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line.
<System.Web.Script.Services.ScriptService()> _
<WebService(Namespace:="http://tempuri.org/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Public Class WebServiceVB
    Inherits System.Web.Services.WebService

    <WebMethod()> _
    Public Sub GetProductpage(ByVal pageNumber As Integer, ByVal pageSize As Integer)
        Dim details As List(Of Products) = New List(Of Products)()
        Dim cs As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(cs)
            Dim cmd As SqlCommand = New SqlCommand("sp_products_page", con)
            cmd.CommandType = System.Data.CommandType.StoredProcedure
            cmd.Parameters.Add(New SqlParameter() With {
                .ParameterName = "@PageNumber",
                .Value = pageNumber
            })
            cmd.Parameters.Add(New SqlParameter() With {
                .ParameterName = "@PageSize",
                .Value = pageSize
            })
            cmd.Parameters.Add("@PageCount", SqlDbType.Int, 4).Direction = ParameterDirection.Output

            Using sda = New SqlDataAdapter()
                cmd.Connection = con
                sda.SelectCommand = cmd
                Dim TableData As DataTable = New DataTable()
                TableData.Clear()
                sda.Fill(TableData)

                For Each dtrow As DataRow In TableData.Rows
                    Dim user As Products = New Products()
                    Dim arrpicture As Byte() = New Byte(-1) {}
                    user.Productid = Convert.ToInt32(dtrow("Id").ToString())
                    user.Productname = dtrow("Name").ToString()
                    arrpicture = CType(dtrow("Data"), Byte())
                    user.Prodimage = Convert.ToBase64String(arrpicture)
                    user.PageCount = Convert.ToInt32(cmd.Parameters("@PageCount").Value)
                    details.Add(user)
                Next
            End Using
        End Using

        Dim js As JavaScriptSerializer = New JavaScriptSerializer()
        Context.Response.Write(js.Serialize(details))
    End Sub
    Public Class Products
        Public Productid As Integer
        Public Prodimage As String
        Public Productname As String
        Public PageCount As Integer
    End Class
End Class

