﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <style type="text/css">
        .pdtimg
        {
            width: 100px;
            height: 100px;
        }
        .modal
        {
            position: fixed;
            z-index: 999;
            height: 100%;
            width: 100%;
            top: 0;
            left: 0;
            background-color: Black;
            filter: alpha(opacity=60);
            opacity: 0.6;
            -moz-opacity: 0.8;
        }
        .center
        {
            z-index: 1000;
            margin: 100px auto;
            padding: 10px;
            width: 130px;
            background-color: White;
            border-radius: 10px;
            filter: alpha(opacity=100);
            opacity: 1;
            -moz-opacity: 1;
        }
        .center img
        {
            height: 128px;
            width: 128px;
        }
    </style>
    <script type="text/javascript">
        var currentPage = 0;
        var TotalPage;
        $(window).scroll(function () {
            if ($(window).scrollTop() >= ($(document).height() - $(window).height()) * .8) {
                getproductdata();
            }
        });
        $(document).ready(function () {
            getproductdata(currentPage);
        });
        function getproductdata() {
            currentPage++;
            if (currentPage == 1 || currentPage <= TotalPage) {
                $.ajax({
                    url: 'WebServiceVB.asmx/GetProductpage',
                    method: 'post',
                    dataType: "json",
                    async: false,
                    data: { pageNumber: currentPage, pageSize: 3 },
                    success: function (data) {
                        if (data.length > 0) {
                            TotalPage = data[0].PageCount;
                            var table = $('#tblImages');
                            var rows = "";
                            $(data).each(function (index, emp) {
                                var coupon = emp.coupon;
                                rows += "<div class=trclass>"
                                + "<tr><td class=tdcolumn>"
                                + "<div class=tabledivprod>"
                                rows += '<img class=pdtimg src="data:image/jpg;base64,' + emp.Prodimage + '" />'
                                     + "<div style=display:none class=couponcode>" + emp.couponcode + "</div>"
                                rows += "</div>" + "</td></tr>" + "</div><br/>"
                            });
                            table.append(rows);
                        }
                    },
                    beforeSend: function () {
                        $(".modal").show();
                    },
                    complete: function () {
                        setTimeout(function () {
                            $(".modal").hide();
                        }, 1000);
                    },
                    error: function (err) {
                        alert(err);
                    }
                });
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <div id="tblImages">
        </div>
        <div class="modal" style="display: none">
            <div class="center">
                <img alt="" src="Loader.gif" />
            </div>
        </div>
    </div>
    </form>
</body>
</html>
